Package io.vertx.rxjava3.ext.web.validation.builder

## Class ParameterProcessorFactory

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.builder.ParameterProcessorFactory

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ParameterProcessorFactory
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface is used to build parameter processors supported on every . You can use in query and cookie more complex parameters with `StyledParameterProcessorFactory`.

  Look at `Parameters` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ParameterProcessorFactory>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterProcessorFactory​(ParameterProcessorFactory delegate)` |
    `ParameterProcessorFactory​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.vertx.ext.web.validation.impl.parameter.ParameterProcessor` | `create​(io.vertx.ext.web.validation.impl.ParameterLocation location, SchemaRepository schemaRepo)` |
    `boolean` | `equals​(Object o)` |
    `ParameterProcessorFactory` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ParameterProcessorFactory` | `newInstance​(ParameterProcessorFactory arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ParameterProcessorFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### ParameterProcessorFactory

          public ParameterProcessorFactory​(ParameterProcessorFactory delegate)

    - #### ParameterProcessorFactory

          public ParameterProcessorFactory​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ParameterProcessorFactory getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public io.vertx.ext.web.validation.impl.parameter.ParameterProcessor create​(io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                                                      SchemaRepository schemaRepo)

    - #### newInstance

          public static ParameterProcessorFactory newInstance​(ParameterProcessorFactory arg)